[resolved] BundleContext is no longer valid

One Star

[resolved] BundleContext is no longer valid

Hey All,
I am getting the following error when running my route in our linux integrated environment: An Exception occurred....java.lang.IllegalStateException: BundleContext is no longer valid.
I do not get this error when running on my windows machine. Furthermore I was running the exact same code yesterday and wasn't getting the error.
From what I can tell, this happens at a point in my route in which we are writing a status to a database and then using the cStop component to stop the route. It seems that the cStop component is what is generating the error but I could be wrong. I will attach a screenshot.
Has anyone encountered this error before? If so, how did you resolve it?
Thanks,
Dave

Accepted Solutions
One Star

Re: [resolved] BundleContext is no longer valid

I bounced Talend Runtime and that solved the issue. It would be nice to know what causes this issue though...

All Replies
One Star

Re: [resolved] BundleContext is no longer valid

I bounced Talend Runtime and that solved the issue. It would be nice to know what causes this issue though...